<?php
// $Id: unfuddle_feedback.admin.inc,v 1.1.2.1 2009/06/02 20:33:34 lynn Exp $

/**
 * The settings form.
 */
function unfuddle_feedback_settings_form(&$form_state) {
  $form = array();
  $form['unfuddle_feedback_domain'] = array(
    '#type' => 'textfield',
    '#title' => 'Unfuddle Domain URL',
    '#description' => t('e.g. https://yourdomain.unfuddle.com'),
    '#default_value' => variable_get('unfuddle_feedback_domain', ''),
    '#required' => TRUE,
  );
  $form['unfuddle_feedback_project'] = array(
    '#type' => 'textfield',
    '#title' => 'Unfuddle Project',
    '#description' => t('The integer ID of the project, e.g. 12345.  Find this in your project URL.'),
    '#default_value' => variable_get('unfuddle_feedback_project', ''),
    '#required' => TRUE,
  );
  $form['unfuddle_feedback_username'] = array(
    '#type' => 'textfield',
    '#title' => 'Unfuddle Account Name',
    '#description' => t('You may want to create a new user in your account, e.g. apibot.  You should give this account limited access.'),
    '#default_value' => variable_get('unfuddle_feedback_username', ''),
    '#required' => TRUE,
  );
  $form['unfuddle_feedback_password'] = array(
    '#type' => 'textfield',
    '#title' => 'Unfuddle Account Password',
    '#description' => t('The password for the username.'),
    '#default_value' => variable_get('unfuddle_feedback_password', ''),
    '#required' => TRUE,
  );
  $form = system_settings_form($form);
  return $form;
}